Bug 333115 - Add tool to fix dust area from lens
Summary: Add tool to fix dust area from lens
Status: REOPENED
Alias: None
Product: digikam
Classification: Unclassified
Component: Plugin-Editor-GmicQt (show other bugs)
Version: 3.5.0
Platform: Kubuntu Packages Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-04-06 06:23 UTC by Axel Krebs
Modified: 2020-08-04 05:08 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Axel Krebs 2014-04-06 06:23:30 UTC
digital cameras use sensors with many pixels - millions of these are standard nowadays.

I suggest to develop a workflow which could correct many of these visual defects (more ot less) automatically.





Reproducible: Always

Steps to Reproduce:
1. dead pixels or dust may appear without announcement (suddenly) on a picture
2. theses/concept idea: if comparing two pictures, there must be a situation, where the first one is still ok, and the subsequent picture is affected (dust on a lense, e.g.)
3.
Actual Results:  
digiKam does not take care of such picture defects.

Expected Results:  
digiKam should (could?) automatically repair such mistakes. 

Which defects I am thinking of?
- dead pixels (https://en.wikipedia.org/wiki/Defective_pixel)
- dust on a lens, filter, etc.

All these defects appear on the pic later. 
They appear on all pictures from a certain begin on. 

Tools for picture repair under. 
http://restoreinpaint.sourceforge.net/links.htm 
or http://sourceforge.net/projects/imageinpainting/files/

A reasonable strategy could be to compare pictures pairwise, to extract "common picture information" which would be the difference of two pics containing the fault, I want to differentiate out.
Comment 1 caulier.gilles 2014-04-06 09:12:29 UTC
In Editor, menu Enhance/Hot Pixels tool is dedicated to this job...

Look here and search string "Hot Pixels Correction"

http://docs.kde.org/development/en/extragear-graphics/digikam/photographic-editing.html#editor-correct-tools

Best

Gilles Caulier
Comment 2 Axel Krebs 2014-04-06 19:35:49 UTC
Dear Gilles:

Great link (...docs.kde.org...) for hot pixels.. wondering, why I didn't
know about before...?

I was suggesting a tool not only for "hot piels", but also for "hot
dust". Do not rely know, how to deal with that, but some links could
indicate a way for (impainting,...)

My intention is a tool, which can _automatically_ "repair"  (to some
degree).

Besides of "hot pixels", for which you taking care already, I suggest to
extent this "conditioning tool" to erase (="repair") the traces of dust
on the front lens (front filter).

I take this not only for next generation tool, as I am affected by dust
a lot in landscape fotography. I believe, this could help to erase this
type of defects in background, maybe before or even before loading the
picfor further eloborations.

You know, what I mean?

Sometimes, you catch dust on a sensor or front lense. But you don't
notice that- until you are at home and you think about cleaning our
equipment.... this chance for the pic has gone, the defective pictures
remain in your collecton!

Howto find out these pics, how to deal with them?

Therefore I wrote "from one moment on" (or similar, all subsequent
pictures are affected, meaning defective)

I suggest to compare continously pairwise / triples/ quadrupels of
pics...until you find the dust first time in e series of pictures.

From thereon, you easily subtract this "bad infornmtion" from all
following pictures...

Understand?


Best


Axel

#Am 06.04.2014 09:12, schrieb Gilles Caulier:
> https://bugs.kde.org/show_bug.cgi?id=333115
> 
> Gilles Caulier <caulier.gilles@gmail.com> changed:
> 
>            What    |Removed                     |Added
> ----------------------------------------------------------------------------
>              Status|UNCONFIRMED                 |RESOLVED
>                  CC|                            |caulier.gilles@gmail.com
>           Component|Image Editor                |Hot Pixels
>          Resolution|---                         |INVALID
>             Product|digikam                     |digikamimageplugins
> 
> --- Comment #1 from Gilles Caulier <caulier.gilles@gmail.com> ---
> In Editor, menu Enhance/Hot Pixels tool is dedicated to this job...
> 
> Look here and search string "Hot Pixels Correction"
> 
> http://docs.kde.org/development/en/extragear-graphics/digikam/photographic-editing.html#editor-correct-tools
> 
> Best
> 
> Gilles Caulier
>
Comment 3 caulier.gilles 2014-04-07 05:31:07 UTC
Axel,

See entry #132483...

Gilles Caulier

*** This bug has been marked as a duplicate of bug 132483 ***
Comment 4 caulier.gilles 2019-09-17 20:26:52 UTC
With 6.3.0, digiKam image editor has a new GmicQt plugin where plenty "Repair" tools are available. Please take a look:

https://imgur.com/VSEG86Y


With next 6.4.0, editor will also gain a new Clone tool:

https://imgur.com/pKn8Ff1


Gilles Caulier